package com.gxzc.zen.logging.model

import java.io.Serializable
import java.util.*

/**
 * 数据库日志 model
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
data class LogDB(val pid: Int, val type: Int, val operator: String) : Serializable {
    companion object {
        private const val serialVersionUID = 10000000000000003L
    }

    /**
     * 操作时间
     */
    var operTime: Date = Date()

    /**
     * 执行sql
     */
    var sql: String? = null

    /**
     * 表名
     */
    var tableId: String? = null

    /**
     * 表名 Comment中的
     */
    var tableName: String? = null

    /**
     * 备注
     */
    var remark: String? = null
}